## golang-github-appleboy-easyssh-proxy 1.5.0

=== Makefile ===
GOFMT ?= gofumpt -l -s
GO ?= go
PACKAGES ?= $(shell $(GO) list ./...)
SOURCES ?= $(shell find . -name "*.go" -type f)

all: lint

fmt:
	@hash gofumpt > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) install mvdan.cc/gofumpt; \
	fi
	$(GOFMT) -w $(SOURCES)

vet:
	$(GO) vet $(PACKAGES)

test:
	@$(GO) test -v -cover -coverprofile coverage.txt $(PACKAGES) && echo "\n==>\033[32m Ok\033[m\n" || exit 1

clean:
	go clean -x -i ./...
	rm -rf coverage.txt $(EXECUTABLE) $(DIST) vendor

ssh-server:
	adduser -h /home/drone-scp -s /bin/sh -D -S drone-scp
	echo drone-scp:1234 | chpasswd
	mkdir -p /home/drone-scp/.ssh
	chmod 700 /home/drone-scp/.ssh
	cat tests/.ssh/id_rsa.pub >> /home/drone-scp/.ssh/authorized_keys
	cat tests/.ssh/test.pub >> /home/drone-scp/.ssh/authorized_keys
	chmod 600 /home/drone-scp/.ssh/authorized_keys
	chown -R drone-scp /home/drone-scp/.ssh
	# install ssh and start server
	apk add --update openssh openrc
	rm -rf /etc/ssh/ssh_host_rsa_key /etc/ssh/ssh_host_dsa_key
	sed -i 's/^#PubkeyAuthentication yes/PubkeyAuthentication yes/g' /etc/ssh/sshd_config
	sed -i 's/AllowTcpForwarding no/AllowTcpForwarding yes/g' /etc/ssh/sshd_config
	./tests/entrypoint.sh /usr/sbin/sshd -D &

=== debian/changelog ===
golang-github-appleboy-easyssh-proxy (1.5.0-3) unstable; urgency=medium

  * Fix reproducible builds (Closes: #1121795)
  * Switch debian/watch to uscan version 5

 -- Jason Frans Kregting <jasonkregting@gmail.com>  Mon, 09 Feb 2026 20:57:42 +1030

golang-github-appleboy-easyssh-proxy (1.5.0-2) unstable; urgency=medium

  [ Jason Frans Kregting ]
  * Add ca-certificates to autopkgtest for Go module download
  * Ignore deluser failure in autopkgtest for test user cleanup

  [ Otto Kekäläinen ]
  * Mark autopkgtest as 'needs-internet'
  * Drop redundant `Priority: optional`
  * Update Debian copyright for 2026
  * Bump Debian Policy version

 -- Otto Kekäläinen <otto@debian.org>  Sun, 25 Jan 2026 18:09:22 +0000

golang-github-appleboy-easyssh-proxy (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1107487)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 05 Jun 2025 10:57:28 +0000

=== debian/control ===
Source: golang-github-appleboy-easyssh-proxy
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-scaleft-sshkeys-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-appleboy-easyssh-proxy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-appleboy-easyssh-proxy.git
Homepage: https://github.com/appleboy/easyssh-proxy
XS-Go-Import-Path: github.com/appleboy/easyssh-proxy

Package: golang-github-appleboy-easyssh-proxy-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-scaleft-sshkeys-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Provides a simple implementation of some SSH protocol features in Go (library)
 This library supports using a user's private key from a string or a file path,
 TCP connection timeout, and SSH ProxyCommand to connect through a jumphost.
 It can be used to run remote commands, stream command output, and copy files
 using SCP.

=== debian/rules ===
#!/usr/bin/make -f

# Exclude the 'example' directory, which contains binaries
# (usr/bin/{proxy,scp,ssh,stream}) that should not be installed on any real
# system.
export DH_GOLANG_EXCLUDES = example

TEST_DIR := debian/.build/upstream/src/github.com/appleboy/easyssh-proxy/

%:
	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang

# The upstream test suite requires a running sshd server which is not feasible
# in a post-build environment. Limit tests to `TestGetKeyFile`, which seems to
# be the only test that does not require a sshd server.
override_dh_auto_test:
	# The unit test `TestGetKeyFile` needs data from the `tests/` directory.
	# We copy it into the build area before running the test.
	cp -r tests $(TEST_DIR)
	dh_auto_test -- -run '^TestGetKeyFile$$'
	rm -rf $(TEST_DIR)/tests

=== debian/tests/control ===
Tests:
 integration-tests,
Depends:
 ca-certificates,
 golang-any,
 openssh-server,
 @,
Restrictions:
 needs-internet,
 needs-root,

=== debian/watch ===
Version: 5

Template: Github
Owner: appleboy
Project: easyssh-proxy
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/
